aboutsummaryrefslogtreecommitdiff
path: root/git-rebase--am.sh
diff options
context:
space:
mode:
authorRamkumar Ramachandra <artagnon@gmail.com>2013-05-12 17:26:38 +0530
committerJunio C Hamano <gitster@pobox.com>2013-05-12 23:20:07 -0700
commita1549e1049439386b9fd643fae236ad3ba649650 (patch)
treeda7ab2c30b88d748cd66c7226f89f712e1dd06c2 /git-rebase--am.sh
parentf5f758a5df470352ed46863288551f25fe9c7ea7 (diff)
downloadgit-a1549e1049439386b9fd643fae236ad3ba649650.tar.gz
git-a1549e1049439386b9fd643fae236ad3ba649650.tar.xz
am: return control to caller, for housekeeping
We only need to do these two tasks git gc --auto rm -fr "$dotest" ourselves if the script was invoked as a standalone program; when invoked with --rebasing (from git-rebase--am.sh), cascade control back to the ultimate caller git-rebase.sh to do this for us. Signed-off-by: Ramkumar Ramachandra <artagnon@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-rebase--am.sh')
-rw-r--r--git-rebase--am.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/git-rebase--am.sh b/git-rebase--am.sh
index f84854f09..34e3102fc 100644
--- a/git-rebase--am.sh
+++ b/git-rebase--am.sh
@@ -7,12 +7,12 @@ case "$action" in
continue)
git am --resolved --resolvemsg="$resolvemsg" &&
move_to_original_branch
- exit
+ return
;;
skip)
git am --skip --resolvemsg="$resolvemsg" &&
move_to_original_branch
- exit
+ return
;;
esac
@@ -56,7 +56,7 @@ else
As a result, git cannot rebase them.
EOF
- exit $?
+ return $?
fi
git am $git_am_opt --rebasing --resolvemsg="$resolvemsg" <"$GIT_DIR/rebased-patches"
@@ -68,7 +68,7 @@ fi
if test 0 != $ret
then
test -d "$state_dir" && write_basic_state
- exit $ret
+ return $ret
fi
move_to_original_branch